#ifndef INCLUDED__BIT_FLOW__B_F__QT__LGPL__DIALOG__H
#define INCLUDED__BIT_FLOW__B_F__QT__LGPL__DIALOG__H

/* FILE:        BFQtLgplDialog.h
 * DATE:        1/7/2016
 * AUTHOR:      Jeremy Greene
 * COMPANY:     BitFlow, Inc.
 * COPYRIGHT:   Copyright (C) 2016, BitFlow, Inc.
 * DESCRIPTION: Simple Qt dialog to display Qt LGPL licensing information.
 */

#include <QDialog>

class BFQtLgplDialog : public QDialog
{
public:
    BFQtLgplDialog (QWidget *const parent = nullptr);
    ~BFQtLgplDialog (void);

private:
    struct PrivateData;
    PrivateData &m_pd;

    // Illegal.
    BFQtLgplDialog(BFQtLgplDialog const&);
    BFQtLgplDialog& operator= (BFQtLgplDialog const&);
};

#endif // INCLUDED__BIT_FLOW__B_F__QT__LGPL__DIALOG__H
