TEMPLATE = app
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt

TARGET = CppViewSimple

QMAKE_CXXFLAGS += -std=c++11 -O2 -Wall -Wextra -Wno-unused-parameter -Wno-switch -Wno-reorder

LOCAL_INCLUDEPATH = $$PWD/../..
INCLUDEPATH += $$(BITFLOW_INSTALL_DIRS)/inc $${LOCAL_INCLUDEPATH}
DEPENDPATH += $${LOCAL_INCLUDEPATH}

LIBS += -L$$OUT_PWD/../../ImageView -lImageView

contains(QT_ARCH, i386) {
    LIBS += -L$$(BITFLOW_INSTALL_DIRS)/32b/lib -lBFciLib -lpthread
} else {
    LIBS += -L$$(BITFLOW_INSTALL_DIRS)/64b/lib -lBFciLib -lpthread
}

SOURCES += \
    CppViewSimpleLin.cpp

DISTFILES +=

HEADERS += \
    CppView64_xpm.h
