#ifndef INCLUDED__BIT_FLOW__IMAGE__VIEW__BASE__CLASS__H
#define INCLUDED__BIT_FLOW__IMAGE__VIEW__BASE__CLASS__H

/* FILE:        ImageViewBaseClass.h
 * DATE:        12/7/2015
 * AUTHOR:      Jeremy Greene
 * COMPANY:     BitFlow, Inc.
 * COPYRIGHT:   Copyright (C) 2015, BitFlow, Inc.
 * DESCRIPTION: Base class of the ImageView library C++ public interface classes.
 */

#include "ImageView.h"

namespace ImageView
{
    class IMAGEVIEW_EXPORT BaseClass
    {
    protected:
        BaseClass (void);

        BaseClass (BaseClass const&);
        BaseClass (BaseClass &&);

        BaseClass& operator= (BaseClass const&);
        BaseClass& operator= (BaseClass &&);

        virtual ~BaseClass (void);
    };
}

#endif // INCLUDED__BIT_FLOW__IMAGE__VIEW__BASE__CLASS__H
