#ifndef INCLUDED__BIT_FLOW__IMAGE__VIEW__ABSTRACT__ACTION__INTERFACE_____PRIVATE__H
#define INCLUDED__BIT_FLOW__IMAGE__VIEW__ABSTRACT__ACTION__INTERFACE_____PRIVATE__H

/* FILE:        AbstractActionInterface_Private.h
 * DATE:        8/12/2016
 * AUTHOR:      Jeremy Greene
 * COMPANY:     BitFlow, Inc.
 * COPYRIGHT:   Copyright (C) 2016, BitFlow, Inc.
 * DESCRIPTION: Priavet data for ImageView AbstractActionInterface.
 */

#include "AbstractActionInterface.h"
#include "ImageViewAction.h"

class ImageView::AbstractActionInterface::PrivateData
{
public:
    ImageView::Action *m_action;

    PrivateData (void)
        : m_action (nullptr)
    { }
};

#endif // INCLUDED__BIT_FLOW__IMAGE__VIEW__ABSTRACT__ACTION__INTERFACE_____PRIVATE__H
